%define	upstream_name	 File-Rsync
%define	upstream_version 0.49

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl module interface to rsync
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: rsync
BuildArch:  noarch
Obsoletes:  %{name} < 0.430.0-13

%description
Perl Convenience wrapper for the rsync(1) program. Written for rsync-2.3.2 and
updated for rsync-2.6.0 but should perform properly with most recent versions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%{__make} test

%install
%make_install

%files 
%doc Changelog META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Thu Mar 24 2022 umeabot <umeabot> 0.490.0-5.mga9
+ Revision: 1824162
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.490.0-4.mga8
+ Revision: 1494513
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.490.0-3.mga7
+ Revision: 1268162
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.490.0-2.mga6
+ Revision: 1027506
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.490.0-1.mga6
+ Revision: 1001930
- update to 0.49

* Fri Feb 19 2016 umeabot <umeabot> 0.480.0-2.mga6
+ Revision: 970007
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.480.0-1.mga6
+ Revision: 884602
- update to 0.48

* Sun Aug 23 2015 sander85 <sander85> 0.460.0-1.mga6
+ Revision: 868447
- update to 0.46

* Fri Jun 26 2015 sander85 <sander85> 0.450.0-2.mga6
+ Revision: 844372
- Obsolete binary packages

* Thu Jun 25 2015 sander85 <sander85> 0.450.0-1.mga6
+ Revision: 843571
- update to 0.45

* Wed Oct 15 2014 umeabot <umeabot> 0.430.0-12.mga5
+ Revision: 742075
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.430.0-11.mga5
+ Revision: 684757
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.430.0-10.mga5
+ Revision: 631201
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.430.0-9.mga4
+ Revision: 524575
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.430.0-8.mga4
+ Revision: 431190
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.430.0-7.mga3
+ Revision: 367350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.430.0-6.mga3
+ Revision: 250636
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.430.0-5.mga2
+ Revision: 104274
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.430.0-4.mga1
+ Revision: 30376
- mageia rebuild
- imported package perl-File-Rsync


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.430.0-4mdv2011.0
+ Revision: 555836
- rebuild for perl 5.12

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.430.0-3mdv2011.0
+ Revision: 555464
- rebuild

* Mon Aug 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.430.0-2mdv2010.0
+ Revision: 420434
- force submit
- update to 0.42

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-1mdv2010.0
+ Revision: 403178
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.42-6mdv2009.0
+ Revision: 256995
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.42-4mdv2008.1
+ Revision: 152079
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-3mdv2008.0
+ Revision: 86402
- rebuild


* Sat Sep 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-2mdv2007.0
- buildrequires rsync

* Thu Dec 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdk
- first mdk release

